Bug 669394 - Review Request: netty - An asynchronous event-driven network application framework and tools for Java
Review Request: netty - An asynchronous event-driven network application fram...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Kurtakov
Fedora Extras Quality Assurance
:
: 235115 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-01-13 10:01 EST by Stanislav Ochotnicky
Modified: 2011-01-18 05:50 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-18 05:49:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
akurtako: fedora‑review+
petersen: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Stanislav Ochotnicky 2011-01-13 10:01:53 EST
Spec URL: http://sochotni.fedorapeople.org/packages/netty.spec
SRPM URL: http://sochotni.fedorapeople.org/packages/netty-3.2.3-1.fc14.src.rpm

Description: 
Netty is a NIO client server framework which enables quick and easy
development of network applications such as protocol servers and
clients. It greatly simplifies and streamlines network programming
such as TCP and UDP socket server.
Comment 1 Jason Tibbitts 2011-01-13 10:14:47 EST
*** Bug 235115 has been marked as a duplicate of this bug. ***
Comment 2 Alexander Kurtakov 2011-01-14 10:12:55 EST
I'll do this one.
Comment 3 Alexander Kurtakov 2011-01-14 15:27:05 EST
Would you please make it build with maven 3? 
We have to start using it.
Also you can remove the depmap for ant-contrib - I've added it to ant-contrib properly.
Comment 4 Stanislav Ochotnicky 2011-01-17 04:37:20 EST
SRPM URL: http://sochotni.fedorapeople.org/packages/netty-3.2.3-2.fc14.src.rpm
Spec URL: http://sochotni.fedorapeople.org/packages/netty.spec


* Mon Jan 17 2011 Stanislav Ochotnicky <sochotnicky@redhat.com> - 3.2.3-2
- Use maven 3 to build
- Drop ant-contrib depmap (no longer needed)
Comment 5 Alexander Kurtakov 2011-01-17 07:01:09 EST
Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[x]  Rpmlint output:
netty-javadoc.noarch: W: invalid-url URL: http://www.jboss.org/netty HTTP Error 403: Forbidden
netty.noarch: W: invalid-url URL: http://www.jboss.org/netty HTTP Error 403: Forbidden
But it opens in browser. Not a problem.
netty.noarch: W: non-conffile-in-etc /etc/maven/fragments/netty
OK
[x]  Package is named according to the Package Naming Guidelines[1].
[x]  Spec file name must match the base package name, in the format %{name}.spec.
[x]  Package meets the Packaging Guidelines[2].
[x]  Package successfully compiles and builds into binary rpms.
[x]  Buildroot definition is not present
[x]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines[3,4].
[x]  License field in the package spec file matches the actual license.
License type: ASL 2.0
[x]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[x]  All independent sub-packages have license of their own
[x]  Spec file is legible and written in American English.
[x]  Sources used to build the package matches the upstream source, as provided in the spec URL.
MD5SUM this package    :000441ea4a805fc9f3abe3aa1e93c85f
MD5SUM upstream package:000441ea4a805fc9f3abe3aa1e93c85f
[x]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines[5].
[x]  Package must own all directories that it creates.
[x]  Package requires other packages for directories it uses.
[x]  Package does not contain duplicates in %files.
[x]  Permissions on files are set properly.
[x]  Package does NOT have a %clean section which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). (not needed anymore)
[x]  Package consistently uses macros (no %{buildroot} and $RPM_BUILD_ROOT mixing)
[x]  Package contains code, or permissable content.
[-]  Fully versioned dependency in subpackages, if present.
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI application.
[x]  Package does not own files or directories owned by other packages.
[-]  Javadoc documentation files are generated and included in -javadoc subpackage
[x]  Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlinks)
[x]  Packages have proper BuildRequires/Requires on jpackage-utils
[x]  Javadoc subpackages have Require: jpackage-utils
[-]  Package uses %global not %define
[-]  If package uses tarball from VCS include comment how to re-create that tarball (svn export URL, git clone URL, ...)
[x]  If source tarball includes bundled jar/class files these need to be removed prior to building
[x]  All filenames in rpm packages must be valid UTF-8.
[x]  Jar files are installed to %{_javadir}/%{name}.jar (see [6] for details)
[x]  If package contains pom.xml files install it (including depmaps) even when building with ant
[x]  pom files has correct add_to_maven_depmap call which resolves to the pom file (use "JPP." and "JPP-" correctly)

=== Maven ===
[x]  Use %{_mavenpomdir} macro for placing pom files instead of %{_datadir}/maven2/poms
[x]  If package uses "-Dmaven.test.skip=true" explain why it was needed in a comment
[-]  If package uses custom depmap "-Dmaven2.jpp.depmap.file=*" explain why it's needed in a comment
[x]  Package uses %update_maven_depmap in %post/%postun
[x]  Packages have Requires(post) and Requires(postun) on jpackage-utils (for %update_maven_depmap macro)

=== Other suggestions ===
[x]  If possible use upstream build method (maven/ant/javac)
[x]  Avoid having BuildRequires on exact NVR unless necessary
[x]  Package has BuildArch: noarch (if possible)
[x]  Latest version is packaged.
[x]  Reviewer should test that the package builds in mock.

This package is APPROVED.
Comment 6 Stanislav Ochotnicky 2011-01-17 07:03:42 EST
Thanks

New Package SCM Request
=======================
Package Name: netty
Short Description: An asynchronous event-driven network application framework and tools for Java
Owners: sochotni
Branches: 
InitialCC: java-sig
Comment 7 Jens Petersen 2011-01-18 02:36:34 EST
Git done (by process-git-requests).
Comment 8 Stanislav Ochotnicky 2011-01-18 05:49:58 EST
Built in rawhide. Thanks:

https://koji.fedoraproject.org/koji/taskinfo?taskID=2728157

Note You need to log in before you can comment on or make changes to this bug.